#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Perl extensions for CDK
Summary(pl.UTF-8):	Rozszerzenie Perla dla CDK
Name:		perl-cdk
Version:	20150928
Release:	1
License:	distributable
Group:		Development/Languages/Perl
Source0:	ftp://ftp.invisible-island.net/cdk/cdk-perl-%{version}.tgz
# Source0-md5:	28bb44e50b15c94f0f6f6e86c5a69c96
URL:		http://invisible-island.net/cdk/
BuildRequires:	cdk-devel >= 5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Perl5 extension to the CDK library written by Mike Glover.
All the copyright notices from the CDK C distribution also apply to
the extension.

%description -l pl.UTF-8
To jest rozszerzenie Perla do biblioteki CDK. Wszystkie copyrighty z
dystrybucji CDK dotyczą także tego rozszerzenia.

%prep
%setup -q -n cdk-perl-%{version}

%build
%configure

%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES demos fulldemo
%{perl_vendorarch}/Cdk.pm
%{perl_vendorarch}/Cdk
%dir %{perl_vendorarch}/auto/Cdk
%attr(755,root,root) %{perl_vendorarch}/auto/Cdk/Cdk.so
%{perl_vendorarch}/auto/Cdk/autosplit.ix
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*
%changelog
* Sat Sep 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-cdk.git;a=log;h=master

* Sat Sep 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 5b04b81
- updated to 20150928

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 4780c04
- updated Source0 URL
- added cdk URL

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> d53c3f9
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f2c7cce
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 79943c8
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 03194f3
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 26a9378
- spelling fixes, uppercases, etc.

* Thu May 06 2004 ankry <ankry@pld-linux.org> c81ebe2
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> bfa4900
- new bconds

* Sat Jan 31 2004 kosmo <kosmo@pld-linux.org> 686c66c
- updated to 20031210

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 37b902d
- mass commit: cosmetics (removed trailing white spaces)

* Mon May 26 2003 Michal Moskal <michal@moskal.me> fefc1ab
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> c9cb1f7
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> ba652aa
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> ed28cf8
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> b953940
- use the __perl macro

* Sat Sep 28 2002 ankry <ankry@pld-linux.org> 75defae
- fixed %%doc, moved examples to %%{_examplesdir}
- added tests
- version 20020728

* Thu Jul 11 2002 Jakub Bogusz <qboosh@pld-linux.org> 5cbd408
- new %%doc and cosmetics

* Thu Jul 11 2002 depesz <depesz@depesz.pl> 0cc9656
- new version; should work; STBR

* Thu Jul 11 2002 depesz <depesz@depesz.pl> 50aff72
- obsolete

